Gestiono
Referencia de APITasks / Board Column

Create Board Column

POST /v1/tasks/board-column • validated by `postBoardColumn`

← Back to full API reference
POST/v1/tasks/board-columnAuthentication required
  • Validated by Zod schema: postBoardColumn.

Request details

Path params

No path parameters for this endpoint.

Query params

No explicit query schema was captured for this endpoint.

Body fields

  • index (required)

    Type: number

  • boardId (required)

    Type: number

  • name (required)

    Type: string

  • maxTasks

    Type: number

  • systemState

    Type: string

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "index": 1,
  "boardId": 1,
  "name": "string"
}

Sample response

json
{
  "columnId": "<columnId>"
}

Test this endpoint now

Use your own credentials and execute a live request directly from this page.

1. Configure authentication for testing

You can test endpoints with signed API keys, a raw Authorization token, or browser cookies. Select one mode and fill in the required fields.

2. Select endpoint

POST/v1/tasks/board-columnAuthentication required

Group: Tasks / Board Column

POST /v1/tasks/board-column • validated by `postBoardColumn`

  • Validated by Zod schema: postBoardColumn.

Body fields

  • indexrequired
    Type: number
  • boardIdrequired
    Type: number
  • namerequired
    Type: string
  • maxTasks
    Type: number
  • systemState
    Type: string

3. Prepare request payload

4. Server response

Run a request to inspect the real-time response for your environment.